Index: docs/html/search/all_61.html
===================================================================
--- docs/html/search/all_61.html	(revision 1babbd6ba316aa403b08380b75724cc7ded40cb0)
+++ docs/html/search/all_61.html	(revision 8b0661d1eed0a6d76c610b0056343423a9523e15)
@@ -1913,38 +1913,38 @@
 <div class="SRResult" id="SR_alignment">
  <div class="SREntry">
-  <a id="Item244" onkeydown="return searchResults.Nav(event,244)" onkeypress="return searchResults.Nav(event,244)" onkeyup="return searchResults.Nav(event,244)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_alignment')">alignment</a>
-  <div class="SRChildren">
-    <a id="Item244_c0" onkeydown="return searchResults.NavChild(event,244,0)" onkeypress="return searchResults.NavChild(event,244,0)" onkeyup="return searchResults.NavChild(event,244,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3stylesheetitem.html#alignment" target="_parent">Q3StyleSheetItem::alignment()</a>
-    <a id="Item244_c1" onkeydown="return searchResults.NavChild(event,244,1)" onkeypress="return searchResults.NavChild(event,244,1)" onkeyup="return searchResults.NavChild(event,244,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3tableitem.html#alignment" target="_parent">Q3TableItem::alignment()</a>
-    <a id="Item244_c2" onkeydown="return searchResults.NavChild(event,244,2)" onkeypress="return searchResults.NavChild(event,244,2)" onkeyup="return searchResults.NavChild(event,244,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3textedit.html#alignment" target="_parent">Q3TextEdit::alignment()</a>
-    <a id="Item244_c3" onkeydown="return searchResults.NavChild(event,244,3)" onkeypress="return searchResults.NavChild(event,244,3)" onkeyup="return searchResults.NavChild(event,244,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3multilineedit.html#alignment-prop" target="_parent">Q3MultiLineEdit::Alignment()</a>
-    <a id="Item244_c4" onkeydown="return searchResults.NavChild(event,244,4)" onkeypress="return searchResults.NavChild(event,244,4)" onkeyup="return searchResults.NavChild(event,244,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qabstractspinbox.html#alignment-prop" target="_parent">QAbstractSpinBox::Alignment()</a>
-    <a id="Item244_c5" onkeydown="return searchResults.NavChild(event,244,5)" onkeypress="return searchResults.NavChild(event,244,5)" onkeyup="return searchResults.NavChild(event,244,5)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qanimationgroup.html#horizontalAlignment" target="_parent">QAnimationGroup::Alignment()</a>
-    <a id="Item244_c6" onkeydown="return searchResults.NavChild(event,244,6)" onkeypress="return searchResults.NavChild(event,244,6)" onkeyup="return searchResults.NavChild(event,244,6)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qformlayout.html#formAlignment-prop" target="_parent">QFormLayout::Alignment</a>
-    <a id="Item244_c7" onkeydown="return searchResults.NavChild(event,244,7)" onkeypress="return searchResults.NavChild(event,244,7)" onkeyup="return searchResults.NavChild(event,244,7)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qformlayout.html#labelAlignment-prop" target="_parent">QFormLayout::Alignment</a>
-    <a id="Item244_c8" onkeydown="return searchResults.NavChild(event,244,8)" onkeypress="return searchResults.NavChild(event,244,8)" onkeyup="return searchResults.NavChild(event,244,8)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsgridlayout.html#alignment" target="_parent">QGraphicsGridLayout::AlignmentQGraphicsGridLayout::alignment(QGraphicsLayoutItem *item)</a>
-    <a id="Item244_c9" onkeydown="return searchResults.NavChild(event,244,9)" onkeypress="return searchResults.NavChild(event,244,9)" onkeyup="return searchResults.NavChild(event,244,9)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsgridlayout.html#columnAlignment" target="_parent">QGraphicsGridLayout::AlignmentQGraphicsGridLayout::columnAlignment(int column)</a>
-    <a id="Item244_c10" onkeydown="return searchResults.NavChild(event,244,10)" onkeypress="return searchResults.NavChild(event,244,10)" onkeyup="return searchResults.NavChild(event,244,10)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsgridlayout.html#rowAlignment" target="_parent">QGraphicsGridLayout::AlignmentQGraphicsGridLayout::rowAlignment(int row)</a>
-    <a id="Item244_c11" onkeydown="return searchResults.NavChild(event,244,11)" onkeypress="return searchResults.NavChild(event,244,11)" onkeyup="return searchResults.NavChild(event,244,11)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicslinearlayout.html#alignment" target="_parent">QGraphicsLinearLayout::Alignment()</a>
-    <a id="Item244_c12" onkeydown="return searchResults.NavChild(event,244,12)" onkeypress="return searchResults.NavChild(event,244,12)" onkeyup="return searchResults.NavChild(event,244,12)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsview.html#alignment-prop" target="_parent">QGraphicsView::Alignment()</a>
-    <a id="Item244_c13" onkeydown="return searchResults.NavChild(event,244,13)" onkeypress="return searchResults.NavChild(event,244,13)" onkeyup="return searchResults.NavChild(event,244,13)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgroupbox.html#alignment-prop" target="_parent">QGroupBox::Alignment()</a>
-    <a id="Item244_c14" onkeydown="return searchResults.NavChild(event,244,14)" onkeypress="return searchResults.NavChild(event,244,14)" onkeyup="return searchResults.NavChild(event,244,14)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qheaderview.html#defaultAlignment-prop" target="_parent">QHeaderView::Alignment()</a>
-    <a id="Item244_c15" onkeydown="return searchResults.NavChild(event,244,15)" onkeypress="return searchResults.NavChild(event,244,15)" onkeyup="return searchResults.NavChild(event,244,15)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qlabel.html#alignment-prop" target="_parent">QLabel::Alignment()</a>
-    <a id="Item244_c16" onkeydown="return searchResults.NavChild(event,244,16)" onkeypress="return searchResults.NavChild(event,244,16)" onkeyup="return searchResults.NavChild(event,244,16)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qlayoutitem.html#alignment" target="_parent">QLayoutItem::Alignment()</a>
-    <a id="Item244_c17" onkeydown="return searchResults.NavChild(event,244,17)" onkeypress="return searchResults.NavChild(event,244,17)" onkeyup="return searchResults.NavChild(event,244,17)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qlineedit.html#alignment-prop" target="_parent">QLineEdit::Alignment()</a>
-    <a id="Item244_c18" onkeydown="return searchResults.NavChild(event,244,18)" onkeypress="return searchResults.NavChild(event,244,18)" onkeyup="return searchResults.NavChild(event,244,18)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qprogressbar.html#alignment-prop" target="_parent">QProgressBar::Alignment()</a>
-    <a id="Item244_c19" onkeydown="return searchResults.NavChild(event,244,19)" onkeypress="return searchResults.NavChild(event,244,19)" onkeyup="return searchResults.NavChild(event,244,19)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qscrollarea.html#alignment-prop" target="_parent">QScrollArea::Alignment()</a>
-    <a id="Item244_c20" onkeydown="return searchResults.NavChild(event,244,20)" onkeypress="return searchResults.NavChild(event,244,20)" onkeyup="return searchResults.NavChild(event,244,20)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstandarditem.html#textAlignment" target="_parent">QStandardItem::Alignment()</a>
-    <a id="Item244_c21" onkeydown="return searchResults.NavChild(event,244,21)" onkeypress="return searchResults.NavChild(event,244,21)" onkeyup="return searchResults.NavChild(event,244,21)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyle.html#visualAlignment" target="_parent">QStyle::Alignment()</a>
-    <a id="Item244_c22" onkeydown="return searchResults.NavChild(event,244,22)" onkeypress="return searchResults.NavChild(event,244,22)" onkeyup="return searchResults.NavChild(event,244,22)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptiongroupbox.html#textAlignment-var" target="_parent">QStyleOptionGroupBox::Alignment()</a>
-    <a id="Item244_c23" onkeydown="return searchResults.NavChild(event,244,23)" onkeypress="return searchResults.NavChild(event,244,23)" onkeyup="return searchResults.NavChild(event,244,23)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionheader.html#iconAlignment-var" target="_parent">QStyleOptionHeader::AlignmentQStyleOptionHeader::iconAlignment</a>
-    <a id="Item244_c24" onkeydown="return searchResults.NavChild(event,244,24)" onkeypress="return searchResults.NavChild(event,244,24)" onkeyup="return searchResults.NavChild(event,244,24)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionheader.html#textAlignment-var" target="_parent">QStyleOptionHeader::AlignmentQStyleOptionHeader::textAlignment</a>
-    <a id="Item244_c25" onkeydown="return searchResults.NavChild(event,244,25)" onkeypress="return searchResults.NavChild(event,244,25)" onkeyup="return searchResults.NavChild(event,244,25)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionprogressbar.html#textAlignment-var" target="_parent">QStyleOptionProgressBar::Alignment()</a>
-    <a id="Item244_c26" onkeydown="return searchResults.NavChild(event,244,26)" onkeypress="return searchResults.NavChild(event,244,26)" onkeyup="return searchResults.NavChild(event,244,26)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionviewitem.html#decorationAlignment-var" target="_parent">QStyleOptionViewItem::AlignmentQStyleOptionViewItem::decorationAlignment</a>
-    <a id="Item244_c27" onkeydown="return searchResults.NavChild(event,244,27)" onkeypress="return searchResults.NavChild(event,244,27)" onkeyup="return searchResults.NavChild(event,244,27)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionviewitem.html#displayAlignment-var" target="_parent">QStyleOptionViewItem::AlignmentQStyleOptionViewItem::displayAlignment</a>
-    <a id="Item244_c28" onkeydown="return searchResults.NavChild(event,244,28)" onkeypress="return searchResults.NavChild(event,244,28)" onkeyup="return searchResults.NavChild(event,244,28)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextblockformat.html#alignment" target="_parent">QTextBlockFormat::Alignment()</a>
-    <a id="Item244_c29" onkeydown="return searchResults.NavChild(event,244,29)" onkeypress="return searchResults.NavChild(event,244,29)" onkeyup="return searchResults.NavChild(event,244,29)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextedit.html#alignment" target="_parent">QTextEdit::Alignment()</a>
-    <a id="Item244_c30" onkeydown="return searchResults.NavChild(event,244,30)" onkeypress="return searchResults.NavChild(event,244,30)" onkeyup="return searchResults.NavChild(event,244,30)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextoption.html#alignment" target="_parent">QTextOption::Alignment()</a>
-    <a id="Item244_c31" onkeydown="return searchResults.NavChild(event,244,31)" onkeypress="return searchResults.NavChild(event,244,31)" onkeyup="return searchResults.NavChild(event,244,31)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtexttableformat.html#alignment" target="_parent">QTextTableFormat::Alignment()</a>
+  <a id="Item244" onkeydown="return searchResults.Nav(event,244)" onkeypress="return searchResults.Nav(event,244)" onkeyup="return searchResults.Nav(event,244)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_alignment')">Alignment</a>
+  <div class="SRChildren">
+    <a id="Item244_c0" onkeydown="return searchResults.NavChild(event,244,0)" onkeypress="return searchResults.NavChild(event,244,0)" onkeyup="return searchResults.NavChild(event,244,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3multilineedit.html#alignment-prop" target="_parent">Q3MultiLineEdit::Alignment()</a>
+    <a id="Item244_c1" onkeydown="return searchResults.NavChild(event,244,1)" onkeypress="return searchResults.NavChild(event,244,1)" onkeyup="return searchResults.NavChild(event,244,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qabstractspinbox.html#alignment-prop" target="_parent">QAbstractSpinBox::Alignment()</a>
+    <a id="Item244_c2" onkeydown="return searchResults.NavChild(event,244,2)" onkeypress="return searchResults.NavChild(event,244,2)" onkeyup="return searchResults.NavChild(event,244,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qanimationgroup.html#horizontalAlignment" target="_parent">QAnimationGroup::Alignment()</a>
+    <a id="Item244_c3" onkeydown="return searchResults.NavChild(event,244,3)" onkeypress="return searchResults.NavChild(event,244,3)" onkeyup="return searchResults.NavChild(event,244,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qformlayout.html#formAlignment-prop" target="_parent">QFormLayout::Alignment</a>
+    <a id="Item244_c4" onkeydown="return searchResults.NavChild(event,244,4)" onkeypress="return searchResults.NavChild(event,244,4)" onkeyup="return searchResults.NavChild(event,244,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qformlayout.html#labelAlignment-prop" target="_parent">QFormLayout::Alignment</a>
+    <a id="Item244_c5" onkeydown="return searchResults.NavChild(event,244,5)" onkeypress="return searchResults.NavChild(event,244,5)" onkeyup="return searchResults.NavChild(event,244,5)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsgridlayout.html#alignment" target="_parent">QGraphicsGridLayout::AlignmentQGraphicsGridLayout::alignment(QGraphicsLayoutItem *item)</a>
+    <a id="Item244_c6" onkeydown="return searchResults.NavChild(event,244,6)" onkeypress="return searchResults.NavChild(event,244,6)" onkeyup="return searchResults.NavChild(event,244,6)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsgridlayout.html#columnAlignment" target="_parent">QGraphicsGridLayout::AlignmentQGraphicsGridLayout::columnAlignment(int column)</a>
+    <a id="Item244_c7" onkeydown="return searchResults.NavChild(event,244,7)" onkeypress="return searchResults.NavChild(event,244,7)" onkeyup="return searchResults.NavChild(event,244,7)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsgridlayout.html#rowAlignment" target="_parent">QGraphicsGridLayout::AlignmentQGraphicsGridLayout::rowAlignment(int row)</a>
+    <a id="Item244_c8" onkeydown="return searchResults.NavChild(event,244,8)" onkeypress="return searchResults.NavChild(event,244,8)" onkeyup="return searchResults.NavChild(event,244,8)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicslinearlayout.html#alignment" target="_parent">QGraphicsLinearLayout::Alignment()</a>
+    <a id="Item244_c9" onkeydown="return searchResults.NavChild(event,244,9)" onkeypress="return searchResults.NavChild(event,244,9)" onkeyup="return searchResults.NavChild(event,244,9)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgraphicsview.html#alignment-prop" target="_parent">QGraphicsView::Alignment()</a>
+    <a id="Item244_c10" onkeydown="return searchResults.NavChild(event,244,10)" onkeypress="return searchResults.NavChild(event,244,10)" onkeyup="return searchResults.NavChild(event,244,10)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgroupbox.html#alignment-prop" target="_parent">QGroupBox::Alignment()</a>
+    <a id="Item244_c11" onkeydown="return searchResults.NavChild(event,244,11)" onkeypress="return searchResults.NavChild(event,244,11)" onkeyup="return searchResults.NavChild(event,244,11)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qheaderview.html#defaultAlignment-prop" target="_parent">QHeaderView::Alignment()</a>
+    <a id="Item244_c12" onkeydown="return searchResults.NavChild(event,244,12)" onkeypress="return searchResults.NavChild(event,244,12)" onkeyup="return searchResults.NavChild(event,244,12)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qlabel.html#alignment-prop" target="_parent">QLabel::Alignment()</a>
+    <a id="Item244_c13" onkeydown="return searchResults.NavChild(event,244,13)" onkeypress="return searchResults.NavChild(event,244,13)" onkeyup="return searchResults.NavChild(event,244,13)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qlayoutitem.html#alignment" target="_parent">QLayoutItem::Alignment()</a>
+    <a id="Item244_c14" onkeydown="return searchResults.NavChild(event,244,14)" onkeypress="return searchResults.NavChild(event,244,14)" onkeyup="return searchResults.NavChild(event,244,14)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qlineedit.html#alignment-prop" target="_parent">QLineEdit::Alignment()</a>
+    <a id="Item244_c15" onkeydown="return searchResults.NavChild(event,244,15)" onkeypress="return searchResults.NavChild(event,244,15)" onkeyup="return searchResults.NavChild(event,244,15)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qprogressbar.html#alignment-prop" target="_parent">QProgressBar::Alignment()</a>
+    <a id="Item244_c16" onkeydown="return searchResults.NavChild(event,244,16)" onkeypress="return searchResults.NavChild(event,244,16)" onkeyup="return searchResults.NavChild(event,244,16)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qscrollarea.html#alignment-prop" target="_parent">QScrollArea::Alignment()</a>
+    <a id="Item244_c17" onkeydown="return searchResults.NavChild(event,244,17)" onkeypress="return searchResults.NavChild(event,244,17)" onkeyup="return searchResults.NavChild(event,244,17)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstandarditem.html#textAlignment" target="_parent">QStandardItem::Alignment()</a>
+    <a id="Item244_c18" onkeydown="return searchResults.NavChild(event,244,18)" onkeypress="return searchResults.NavChild(event,244,18)" onkeyup="return searchResults.NavChild(event,244,18)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyle.html#visualAlignment" target="_parent">QStyle::Alignment()</a>
+    <a id="Item244_c19" onkeydown="return searchResults.NavChild(event,244,19)" onkeypress="return searchResults.NavChild(event,244,19)" onkeyup="return searchResults.NavChild(event,244,19)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptiongroupbox.html#textAlignment-var" target="_parent">QStyleOptionGroupBox::Alignment()</a>
+    <a id="Item244_c20" onkeydown="return searchResults.NavChild(event,244,20)" onkeypress="return searchResults.NavChild(event,244,20)" onkeyup="return searchResults.NavChild(event,244,20)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionheader.html#iconAlignment-var" target="_parent">QStyleOptionHeader::AlignmentQStyleOptionHeader::iconAlignment</a>
+    <a id="Item244_c21" onkeydown="return searchResults.NavChild(event,244,21)" onkeypress="return searchResults.NavChild(event,244,21)" onkeyup="return searchResults.NavChild(event,244,21)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionheader.html#textAlignment-var" target="_parent">QStyleOptionHeader::AlignmentQStyleOptionHeader::textAlignment</a>
+    <a id="Item244_c22" onkeydown="return searchResults.NavChild(event,244,22)" onkeypress="return searchResults.NavChild(event,244,22)" onkeyup="return searchResults.NavChild(event,244,22)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionprogressbar.html#textAlignment-var" target="_parent">QStyleOptionProgressBar::Alignment()</a>
+    <a id="Item244_c23" onkeydown="return searchResults.NavChild(event,244,23)" onkeypress="return searchResults.NavChild(event,244,23)" onkeyup="return searchResults.NavChild(event,244,23)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionviewitem.html#decorationAlignment-var" target="_parent">QStyleOptionViewItem::AlignmentQStyleOptionViewItem::decorationAlignment</a>
+    <a id="Item244_c24" onkeydown="return searchResults.NavChild(event,244,24)" onkeypress="return searchResults.NavChild(event,244,24)" onkeyup="return searchResults.NavChild(event,244,24)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionviewitem.html#displayAlignment-var" target="_parent">QStyleOptionViewItem::AlignmentQStyleOptionViewItem::displayAlignment</a>
+    <a id="Item244_c25" onkeydown="return searchResults.NavChild(event,244,25)" onkeypress="return searchResults.NavChild(event,244,25)" onkeyup="return searchResults.NavChild(event,244,25)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextblockformat.html#alignment" target="_parent">QTextBlockFormat::Alignment()</a>
+    <a id="Item244_c26" onkeydown="return searchResults.NavChild(event,244,26)" onkeypress="return searchResults.NavChild(event,244,26)" onkeyup="return searchResults.NavChild(event,244,26)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextedit.html#alignment" target="_parent">QTextEdit::Alignment()</a>
+    <a id="Item244_c27" onkeydown="return searchResults.NavChild(event,244,27)" onkeypress="return searchResults.NavChild(event,244,27)" onkeyup="return searchResults.NavChild(event,244,27)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextoption.html#alignment" target="_parent">QTextOption::Alignment()</a>
+    <a id="Item244_c28" onkeydown="return searchResults.NavChild(event,244,28)" onkeypress="return searchResults.NavChild(event,244,28)" onkeyup="return searchResults.NavChild(event,244,28)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtexttableformat.html#alignment" target="_parent">QTextTableFormat::Alignment()</a>
+    <a id="Item244_c29" onkeydown="return searchResults.NavChild(event,244,29)" onkeypress="return searchResults.NavChild(event,244,29)" onkeyup="return searchResults.NavChild(event,244,29)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3stylesheetitem.html#alignment" target="_parent">Q3StyleSheetItem::alignment()</a>
+    <a id="Item244_c30" onkeydown="return searchResults.NavChild(event,244,30)" onkeypress="return searchResults.NavChild(event,244,30)" onkeyup="return searchResults.NavChild(event,244,30)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3tableitem.html#alignment" target="_parent">Q3TableItem::alignment()</a>
+    <a id="Item244_c31" onkeydown="return searchResults.NavChild(event,244,31)" onkeypress="return searchResults.NavChild(event,244,31)" onkeyup="return searchResults.NavChild(event,244,31)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/q3textedit.html#alignment" target="_parent">Q3TextEdit::alignment()</a>
   </div>
  </div>
@@ -2129,6 +2129,6 @@
 <div class="SRResult" id="SR_alts">
  <div class="SREntry">
-  <a id="Item273" onkeydown="return searchResults.Nav(event,273)" onkeypress="return searchResults.Nav(event,273)" onkeyup="return searchResults.Nav(event,273)" class="SRSymbol" href="../struct_s_step.html#a02196d3433e2deed89ab540b875cd527" target="_parent">alts</a>
-  <span class="SRScope">SStep</span>
+  <a id="Item273" onkeydown="return searchResults.Nav(event,273)" onkeypress="return searchResults.Nav(event,273)" onkeyup="return searchResults.Nav(event,273)" class="SRSymbol" href="../struct_t_s_p_solver_1_1_s_step.html#af95b7f421e7373e32548c64c358438d7" target="_parent">alts</a>
+  <span class="SRScope">TSPSolver::SStep</span>
  </div>
 </div>
@@ -3128,8 +3128,8 @@
   <div class="SRChildren">
     <a id="Item399_c0" onkeydown="return searchResults.NavChild(event,399,0)" onkeypress="return searchResults.NavChild(event,399,0)" onkeyup="return searchResults.NavChild(event,399,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-audiooutput.html" target="_parent">AudioOutput</a>
-    <a id="Item399_c1" onkeydown="return searchResults.NavChild(event,399,1)" onkeypress="return searchResults.NavChild(event,399,1)" onkeyup="return searchResults.NavChild(event,399,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-audiooutput.html#AudioOutputx" target="_parent">AudioOutput::AudioOutput(Phonon::Category category, QObject *parent=0)</a>
-    <a id="Item399_c2" onkeydown="return searchResults.NavChild(event,399,2)" onkeypress="return searchResults.NavChild(event,399,2)" onkeyup="return searchResults.NavChild(event,399,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-audiooutput.html#AudioOutput-2" target="_parent">AudioOutput::AudioOutput(QObject *parent=0)</a>
-    <a id="Item399_c3" onkeydown="return searchResults.NavChild(event,399,3)" onkeypress="return searchResults.NavChild(event,399,3)" onkeyup="return searchResults.NavChild(event,399,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-videoplayer.html#audioOutput" target="_parent">VideoPlayer::audioOutput()</a>
-    <a id="Item399_c4" onkeydown="return searchResults.NavChild(event,399,4)" onkeypress="return searchResults.NavChild(event,399,4)" onkeyup="return searchResults.NavChild(event,399,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-volumeslider.html#audioOutput" target="_parent">VolumeSlider::audioOutput()</a>
+    <a id="Item399_c1" onkeydown="return searchResults.NavChild(event,399,1)" onkeypress="return searchResults.NavChild(event,399,1)" onkeyup="return searchResults.NavChild(event,399,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-videoplayer.html#audioOutput" target="_parent">VideoPlayer::audioOutput()</a>
+    <a id="Item399_c2" onkeydown="return searchResults.NavChild(event,399,2)" onkeypress="return searchResults.NavChild(event,399,2)" onkeyup="return searchResults.NavChild(event,399,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-volumeslider.html#audioOutput" target="_parent">VolumeSlider::audioOutput()</a>
+    <a id="Item399_c3" onkeydown="return searchResults.NavChild(event,399,3)" onkeypress="return searchResults.NavChild(event,399,3)" onkeyup="return searchResults.NavChild(event,399,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-audiooutput.html#AudioOutputx" target="_parent">AudioOutput::AudioOutput(Phonon::Category category, QObject *parent=0)</a>
+    <a id="Item399_c4" onkeydown="return searchResults.NavChild(event,399,4)" onkeypress="return searchResults.NavChild(event,399,4)" onkeyup="return searchResults.NavChild(event,399,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/phonon-audiooutput.html#AudioOutput-2" target="_parent">AudioOutput::AudioOutput(QObject *parent=0)</a>
   </div>
  </div>