Index: docs/html/search/functions_73.html
===================================================================
--- docs/html/search/functions_73.html	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ docs/html/search/functions_73.html	(revision 9cda6e0f5d8ac68ad13492d29d2a6a3a73a8f32b)
@@ -12087,5 +12087,5 @@
 <div class="SRResult" id="SR_solve">
  <div class="SREntry">
-  <a id="Item1545" onkeydown="return searchResults.Nav(event,1545)" onkeypress="return searchResults.Nav(event,1545)" onkeyup="return searchResults.Nav(event,1545)" class="SRSymbol" href="../class_c_t_s_p_solver.html#a9a6545dd05e449151aabe325f4058edd" target="_parent">solve</a>
+  <a id="Item1545" onkeydown="return searchResults.Nav(event,1545)" onkeypress="return searchResults.Nav(event,1545)" onkeyup="return searchResults.Nav(event,1545)" class="SRSymbol" href="../class_c_t_s_p_solver.html#a0f0f0aa60d05c97f3b0e867a381de558" target="_parent">solve</a>
   <span class="SRScope">CTSPSolver</span>
  </div>
@@ -13003,12 +13003,12 @@
 <div class="SRResult" id="SR_status">
  <div class="SREntry">
-  <a id="Item1652" onkeydown="return searchResults.Nav(event,1652)" onkeypress="return searchResults.Nav(event,1652)" onkeyup="return searchResults.Nav(event,1652)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_status')">status</a>
-  <div class="SRChildren">
-    <a id="Item1652_c0" onkeydown="return searchResults.NavChild(event,1652,0)" onkeypress="return searchResults.NavChild(event,1652,0)" onkeyup="return searchResults.NavChild(event,1652,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qdatastream.html#status" target="_parent">QDataStream::status()</a>
-    <a id="Item1652_c1" onkeydown="return searchResults.NavChild(event,1652,1)" onkeypress="return searchResults.NavChild(event,1652,1)" onkeyup="return searchResults.NavChild(event,1652,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qintvalidator.html#status" target="_parent">QIntValidator::status()</a>
-    <a id="Item1652_c2" onkeydown="return searchResults.NavChild(event,1652,2)" onkeypress="return searchResults.NavChild(event,1652,2)" onkeyup="return searchResults.NavChild(event,1652,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qpictureio.html#status" target="_parent">QPictureIO::status()</a>
-    <a id="Item1652_c3" onkeydown="return searchResults.NavChild(event,1652,3)" onkeypress="return searchResults.NavChild(event,1652,3)" onkeyup="return searchResults.NavChild(event,1652,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qsettings.html#status" target="_parent">QSettings::status()</a>
-    <a id="Item1652_c4" onkeydown="return searchResults.NavChild(event,1652,4)" onkeypress="return searchResults.NavChild(event,1652,4)" onkeyup="return searchResults.NavChild(event,1652,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextstream.html#status" target="_parent">QTextStream::status()</a>
-    <a id="Item1652_c5" onkeydown="return searchResults.NavChild(event,1652,5)" onkeypress="return searchResults.NavChild(event,1652,5)" onkeyup="return searchResults.NavChild(event,1652,5)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qintvalidator.html#Status-typedef" target="_parent">QIntValidator::Status()</a>
+  <a id="Item1652" onkeydown="return searchResults.Nav(event,1652)" onkeypress="return searchResults.Nav(event,1652)" onkeyup="return searchResults.Nav(event,1652)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_status')">Status</a>
+  <div class="SRChildren">
+    <a id="Item1652_c0" onkeydown="return searchResults.NavChild(event,1652,0)" onkeypress="return searchResults.NavChild(event,1652,0)" onkeyup="return searchResults.NavChild(event,1652,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qintvalidator.html#Status-typedef" target="_parent">QIntValidator::Status()</a>
+    <a id="Item1652_c1" onkeydown="return searchResults.NavChild(event,1652,1)" onkeypress="return searchResults.NavChild(event,1652,1)" onkeyup="return searchResults.NavChild(event,1652,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qdatastream.html#status" target="_parent">QDataStream::status()</a>
+    <a id="Item1652_c2" onkeydown="return searchResults.NavChild(event,1652,2)" onkeypress="return searchResults.NavChild(event,1652,2)" onkeyup="return searchResults.NavChild(event,1652,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qintvalidator.html#status" target="_parent">QIntValidator::status()</a>
+    <a id="Item1652_c3" onkeydown="return searchResults.NavChild(event,1652,3)" onkeypress="return searchResults.NavChild(event,1652,3)" onkeyup="return searchResults.NavChild(event,1652,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qpictureio.html#status" target="_parent">QPictureIO::status()</a>
+    <a id="Item1652_c4" onkeydown="return searchResults.NavChild(event,1652,4)" onkeypress="return searchResults.NavChild(event,1652,4)" onkeyup="return searchResults.NavChild(event,1652,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qsettings.html#status" target="_parent">QSettings::status()</a>
+    <a id="Item1652_c5" onkeydown="return searchResults.NavChild(event,1652,5)" onkeypress="return searchResults.NavChild(event,1652,5)" onkeyup="return searchResults.NavChild(event,1652,5)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextstream.html#status" target="_parent">QTextStream::status()</a>
   </div>
  </div>
@@ -13106,9 +13106,9 @@
 <div class="SRResult" id="SR_stepenabled">
  <div class="SREntry">
-  <a id="Item1665" onkeydown="return searchResults.Nav(event,1665)" onkeypress="return searchResults.Nav(event,1665)" onkeyup="return searchResults.Nav(event,1665)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_stepenabled')">StepEnabled</a>
-  <div class="SRChildren">
-    <a id="Item1665_c0" onkeydown="return searchResults.NavChild(event,1665,0)" onkeypress="return searchResults.NavChild(event,1665,0)" onkeyup="return searchResults.NavChild(event,1665,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionspinbox.html#stepEnabled-var" target="_parent">QStyleOptionSpinBox::StepEnabled()</a>
-    <a id="Item1665_c1" onkeydown="return searchResults.NavChild(event,1665,1)" onkeypress="return searchResults.NavChild(event,1665,1)" onkeyup="return searchResults.NavChild(event,1665,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qabstractspinbox.html#stepEnabled" target="_parent">QAbstractSpinBox::stepEnabled()</a>
-    <a id="Item1665_c2" onkeydown="return searchResults.NavChild(event,1665,2)" onkeypress="return searchResults.NavChild(event,1665,2)" onkeyup="return searchResults.NavChild(event,1665,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qdatetimeedit.html#stepEnabled" target="_parent">QDateTimeEdit::stepEnabled()</a>
+  <a id="Item1665" onkeydown="return searchResults.Nav(event,1665)" onkeypress="return searchResults.Nav(event,1665)" onkeyup="return searchResults.Nav(event,1665)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_stepenabled')">stepEnabled</a>
+  <div class="SRChildren">
+    <a id="Item1665_c0" onkeydown="return searchResults.NavChild(event,1665,0)" onkeypress="return searchResults.NavChild(event,1665,0)" onkeyup="return searchResults.NavChild(event,1665,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qabstractspinbox.html#stepEnabled" target="_parent">QAbstractSpinBox::stepEnabled()</a>
+    <a id="Item1665_c1" onkeydown="return searchResults.NavChild(event,1665,1)" onkeypress="return searchResults.NavChild(event,1665,1)" onkeyup="return searchResults.NavChild(event,1665,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qdatetimeedit.html#stepEnabled" target="_parent">QDateTimeEdit::stepEnabled()</a>
+    <a id="Item1665_c2" onkeydown="return searchResults.NavChild(event,1665,2)" onkeypress="return searchResults.NavChild(event,1665,2)" onkeyup="return searchResults.NavChild(event,1665,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyleoptionspinbox.html#stepEnabled-var" target="_parent">QStyleOptionSpinBox::StepEnabled()</a>
   </div>
  </div>
@@ -13306,20 +13306,20 @@
 <div class="SRResult" id="SR_stylehint">
  <div class="SREntry">
-  <a id="Item1690" onkeydown="return searchResults.Nav(event,1690)" onkeypress="return searchResults.Nav(event,1690)" onkeyup="return searchResults.Nav(event,1690)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_stylehint')">StyleHint</a>
-  <div class="SRChildren">
-    <a id="Item1690_c0" onkeydown="return searchResults.NavChild(event,1690,0)" onkeypress="return searchResults.NavChild(event,1690,0)" onkeyup="return searchResults.NavChild(event,1690,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qfontinfo.html#styleHint" target="_parent">QFontInfo::StyleHint()</a>
-    <a id="Item1690_c1" onkeydown="return searchResults.NavChild(event,1690,1)" onkeypress="return searchResults.NavChild(event,1690,1)" onkeyup="return searchResults.NavChild(event,1690,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextcharformat.html#fontStyleHint" target="_parent">QTextCharFormat::StyleHint()</a>
-    <a id="Item1690_c2" onkeydown="return searchResults.NavChild(event,1690,2)" onkeypress="return searchResults.NavChild(event,1690,2)" onkeyup="return searchResults.NavChild(event,1690,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qcleanlooksstyle.html#styleHint" target="_parent">QCleanlooksStyle::styleHint()</a>
-    <a id="Item1690_c3" onkeydown="return searchResults.NavChild(event,1690,3)" onkeypress="return searchResults.NavChild(event,1690,3)" onkeyup="return searchResults.NavChild(event,1690,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qcommonstyle.html#styleHint" target="_parent">QCommonStyle::styleHint()</a>
-    <a id="Item1690_c4" onkeydown="return searchResults.NavChild(event,1690,4)" onkeypress="return searchResults.NavChild(event,1690,4)" onkeyup="return searchResults.NavChild(event,1690,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qfont.html#styleHint" target="_parent">QFont::styleHint()</a>
-    <a id="Item1690_c5" onkeydown="return searchResults.NavChild(event,1690,5)" onkeypress="return searchResults.NavChild(event,1690,5)" onkeyup="return searchResults.NavChild(event,1690,5)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgtkstyle.html#styleHint" target="_parent">QGtkStyle::styleHint()</a>
-    <a id="Item1690_c6" onkeydown="return searchResults.NavChild(event,1690,6)" onkeypress="return searchResults.NavChild(event,1690,6)" onkeyup="return searchResults.NavChild(event,1690,6)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qmacstyle.html#styleHint" target="_parent">QMacStyle::styleHint()</a>
-    <a id="Item1690_c7" onkeydown="return searchResults.NavChild(event,1690,7)" onkeypress="return searchResults.NavChild(event,1690,7)" onkeyup="return searchResults.NavChild(event,1690,7)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qmotifstyle.html#styleHint" target="_parent">QMotifStyle::styleHint()</a>
-    <a id="Item1690_c8" onkeydown="return searchResults.NavChild(event,1690,8)" onkeypress="return searchResults.NavChild(event,1690,8)" onkeyup="return searchResults.NavChild(event,1690,8)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qplastiquestyle.html#styleHint" target="_parent">QPlastiqueStyle::styleHint()</a>
-    <a id="Item1690_c9" onkeydown="return searchResults.NavChild(event,1690,9)" onkeypress="return searchResults.NavChild(event,1690,9)" onkeyup="return searchResults.NavChild(event,1690,9)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qproxystyle.html#styleHint" target="_parent">QProxyStyle::styleHint()</a>
-    <a id="Item1690_c10" onkeydown="return searchResults.NavChild(event,1690,10)" onkeypress="return searchResults.NavChild(event,1690,10)" onkeyup="return searchResults.NavChild(event,1690,10)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qs60style.html#styleHint" target="_parent">QS60Style::styleHint()</a>
-    <a id="Item1690_c11" onkeydown="return searchResults.NavChild(event,1690,11)" onkeypress="return searchResults.NavChild(event,1690,11)" onkeyup="return searchResults.NavChild(event,1690,11)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyle.html#styleHint" target="_parent">QStyle::styleHint()</a>
-    <a id="Item1690_c12" onkeydown="return searchResults.NavChild(event,1690,12)" onkeypress="return searchResults.NavChild(event,1690,12)" onkeyup="return searchResults.NavChild(event,1690,12)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qwindowsstyle.html#styleHint" target="_parent">QWindowsStyle::styleHint()</a>
-    <a id="Item1690_c13" onkeydown="return searchResults.NavChild(event,1690,13)" onkeypress="return searchResults.NavChild(event,1690,13)" onkeyup="return searchResults.NavChild(event,1690,13)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qwindowsxpstyle.html#styleHint" target="_parent">QWindowsXPStyle::styleHint()</a>
+  <a id="Item1690" onkeydown="return searchResults.Nav(event,1690)" onkeypress="return searchResults.Nav(event,1690)" onkeyup="return searchResults.Nav(event,1690)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_stylehint')">styleHint</a>
+  <div class="SRChildren">
+    <a id="Item1690_c0" onkeydown="return searchResults.NavChild(event,1690,0)" onkeypress="return searchResults.NavChild(event,1690,0)" onkeyup="return searchResults.NavChild(event,1690,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qcleanlooksstyle.html#styleHint" target="_parent">QCleanlooksStyle::styleHint()</a>
+    <a id="Item1690_c1" onkeydown="return searchResults.NavChild(event,1690,1)" onkeypress="return searchResults.NavChild(event,1690,1)" onkeyup="return searchResults.NavChild(event,1690,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qcommonstyle.html#styleHint" target="_parent">QCommonStyle::styleHint()</a>
+    <a id="Item1690_c2" onkeydown="return searchResults.NavChild(event,1690,2)" onkeypress="return searchResults.NavChild(event,1690,2)" onkeyup="return searchResults.NavChild(event,1690,2)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qfont.html#styleHint" target="_parent">QFont::styleHint()</a>
+    <a id="Item1690_c3" onkeydown="return searchResults.NavChild(event,1690,3)" onkeypress="return searchResults.NavChild(event,1690,3)" onkeyup="return searchResults.NavChild(event,1690,3)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qgtkstyle.html#styleHint" target="_parent">QGtkStyle::styleHint()</a>
+    <a id="Item1690_c4" onkeydown="return searchResults.NavChild(event,1690,4)" onkeypress="return searchResults.NavChild(event,1690,4)" onkeyup="return searchResults.NavChild(event,1690,4)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qmacstyle.html#styleHint" target="_parent">QMacStyle::styleHint()</a>
+    <a id="Item1690_c5" onkeydown="return searchResults.NavChild(event,1690,5)" onkeypress="return searchResults.NavChild(event,1690,5)" onkeyup="return searchResults.NavChild(event,1690,5)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qmotifstyle.html#styleHint" target="_parent">QMotifStyle::styleHint()</a>
+    <a id="Item1690_c6" onkeydown="return searchResults.NavChild(event,1690,6)" onkeypress="return searchResults.NavChild(event,1690,6)" onkeyup="return searchResults.NavChild(event,1690,6)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qplastiquestyle.html#styleHint" target="_parent">QPlastiqueStyle::styleHint()</a>
+    <a id="Item1690_c7" onkeydown="return searchResults.NavChild(event,1690,7)" onkeypress="return searchResults.NavChild(event,1690,7)" onkeyup="return searchResults.NavChild(event,1690,7)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qproxystyle.html#styleHint" target="_parent">QProxyStyle::styleHint()</a>
+    <a id="Item1690_c8" onkeydown="return searchResults.NavChild(event,1690,8)" onkeypress="return searchResults.NavChild(event,1690,8)" onkeyup="return searchResults.NavChild(event,1690,8)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qs60style.html#styleHint" target="_parent">QS60Style::styleHint()</a>
+    <a id="Item1690_c9" onkeydown="return searchResults.NavChild(event,1690,9)" onkeypress="return searchResults.NavChild(event,1690,9)" onkeyup="return searchResults.NavChild(event,1690,9)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qstyle.html#styleHint" target="_parent">QStyle::styleHint()</a>
+    <a id="Item1690_c10" onkeydown="return searchResults.NavChild(event,1690,10)" onkeypress="return searchResults.NavChild(event,1690,10)" onkeyup="return searchResults.NavChild(event,1690,10)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qwindowsstyle.html#styleHint" target="_parent">QWindowsStyle::styleHint()</a>
+    <a id="Item1690_c11" onkeydown="return searchResults.NavChild(event,1690,11)" onkeypress="return searchResults.NavChild(event,1690,11)" onkeyup="return searchResults.NavChild(event,1690,11)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qwindowsxpstyle.html#styleHint" target="_parent">QWindowsXPStyle::styleHint()</a>
+    <a id="Item1690_c12" onkeydown="return searchResults.NavChild(event,1690,12)" onkeypress="return searchResults.NavChild(event,1690,12)" onkeyup="return searchResults.NavChild(event,1690,12)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qfontinfo.html#styleHint" target="_parent">QFontInfo::StyleHint()</a>
+    <a id="Item1690_c13" onkeydown="return searchResults.NavChild(event,1690,13)" onkeypress="return searchResults.NavChild(event,1690,13)" onkeyup="return searchResults.NavChild(event,1690,13)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextcharformat.html#fontStyleHint" target="_parent">QTextCharFormat::StyleHint()</a>
   </div>
  </div>
@@ -13349,8 +13349,8 @@
 <div class="SRResult" id="SR_stylestrategy">
  <div class="SREntry">
-  <a id="Item1694" onkeydown="return searchResults.Nav(event,1694)" onkeypress="return searchResults.Nav(event,1694)" onkeyup="return searchResults.Nav(event,1694)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_stylestrategy')">StyleStrategy</a>
-  <div class="SRChildren">
-    <a id="Item1694_c0" onkeydown="return searchResults.NavChild(event,1694,0)" onkeypress="return searchResults.NavChild(event,1694,0)" onkeyup="return searchResults.NavChild(event,1694,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextcharformat.html#fontStyleStrategy" target="_parent">QTextCharFormat::StyleStrategy()</a>
-    <a id="Item1694_c1" onkeydown="return searchResults.NavChild(event,1694,1)" onkeypress="return searchResults.NavChild(event,1694,1)" onkeyup="return searchResults.NavChild(event,1694,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qfont.html#styleStrategy" target="_parent">QFont::styleStrategy()</a>
+  <a id="Item1694" onkeydown="return searchResults.Nav(event,1694)" onkeypress="return searchResults.Nav(event,1694)" onkeyup="return searchResults.Nav(event,1694)" class="SRSymbol" href="javascript:searchResults.Toggle('SR_stylestrategy')">styleStrategy</a>
+  <div class="SRChildren">
+    <a id="Item1694_c0" onkeydown="return searchResults.NavChild(event,1694,0)" onkeypress="return searchResults.NavChild(event,1694,0)" onkeyup="return searchResults.NavChild(event,1694,0)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qfont.html#styleStrategy" target="_parent">QFont::styleStrategy()</a>
+    <a id="Item1694_c1" onkeydown="return searchResults.NavChild(event,1694,1)" onkeypress="return searchResults.NavChild(event,1694,1)" onkeyup="return searchResults.NavChild(event,1694,1)" class="SRScope" doxygen="qt-4.6.tag:../http://doc.trolltech.com/4.6/" href="../http://doc.trolltech.com/4.6/qtextcharformat.html#fontStyleStrategy" target="_parent">QTextCharFormat::StyleStrategy()</a>
   </div>
  </div>