Index: trunk/ui/mainwindow.ui
===================================================================
--- trunk/ui/mainwindow.ui	(revision 16)
+++ trunk/ui/mainwindow.ui	(revision 17)
@@ -1,6 +1,7 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>MainWindow</class>
- <widget class="QMainWindow" name="MainWindow" >
-  <property name="geometry" >
+ <widget class="QMainWindow" name="MainWindow">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -10,36 +11,37 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Задача коммивояжера</string>
   </property>
-  <property name="windowIcon" >
-   <iconset resource="../resources/tspsg.qrc" >:/images/Icon.png</iconset>
+  <property name="windowIcon">
+   <iconset resource="../resources/tspsg.qrc">
+    <normaloff>:/images/Icon.png</normaloff>:/images/Icon.png</iconset>
   </property>
-  <widget class="QWidget" name="centralwidget" >
-   <layout class="QGridLayout" >
-    <item row="0" column="0" >
-     <widget class="QTabWidget" name="tabWidget" >
-      <property name="sizePolicy" >
-       <sizepolicy vsizetype="Expanding" hsizetype="Expanding" >
+  <widget class="QWidget" name="centralwidget">
+   <layout class="QGridLayout">
+    <item row="0" column="0">
+     <widget class="QTabWidget" name="tabWidget">
+      <property name="sizePolicy">
+       <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
-      <property name="currentIndex" >
+      <property name="currentIndex">
        <number>0</number>
       </property>
-      <widget class="QWidget" name="tabTask" >
-       <attribute name="title" >
+      <widget class="QWidget" name="tabTask">
+       <attribute name="title">
         <string>Задача</string>
        </attribute>
-       <layout class="QVBoxLayout" >
+       <layout class="QVBoxLayout">
         <item>
-         <layout class="QHBoxLayout" >
+         <layout class="QHBoxLayout">
           <item>
            <spacer>
-            <property name="orientation" >
+            <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
-            <property name="sizeHint" >
+            <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
@@ -50,9 +52,9 @@
           </item>
           <item>
-           <widget class="QLabel" name="labelVariant" >
-            <property name="text" >
+           <widget class="QLabel" name="labelVariant">
+            <property name="text">
              <string>&amp;Вариант:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinVariant</cstring>
             </property>
@@ -60,12 +62,12 @@
           </item>
           <item>
-           <widget class="QSpinBox" name="spinVariant" >
-            <property name="cursor" >
+           <widget class="QSpinBox" name="spinVariant">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Номер варианта</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <number>1</number>
             </property>
@@ -73,9 +75,9 @@
           </item>
           <item>
-           <widget class="QLabel" name="labelCities" >
-            <property name="text" >
+           <widget class="QLabel" name="labelCities">
+            <property name="text">
              <string>&amp;Городов:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinCities</cstring>
             </property>
@@ -83,18 +85,18 @@
           </item>
           <item>
-           <widget class="QSpinBox" name="spinCities" >
-            <property name="cursor" >
+           <widget class="QSpinBox" name="spinCities">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Количество городов, которые обходит коммивояжер</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <number>3</number>
             </property>
-            <property name="maximum" >
+            <property name="maximum">
              <number>5</number>
             </property>
-            <property name="value" >
+            <property name="value">
              <number>5</number>
             </property>
@@ -103,8 +105,8 @@
           <item>
            <spacer>
-            <property name="orientation" >
+            <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
-            <property name="sizeHint" >
+            <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
@@ -117,9 +119,9 @@
         </item>
         <item>
-         <widget class="QTableView" name="taskView" >
-          <property name="statusTip" >
+         <widget class="QTableView" name="taskView">
+          <property name="statusTip">
            <string>Стоимости переходов/переездов из города в город</string>
           </property>
-          <property name="selectionMode" >
+          <property name="selectionMode">
            <enum>QAbstractItemView::NoSelection</enum>
           </property>
@@ -127,11 +129,11 @@
         </item>
         <item>
-         <layout class="QHBoxLayout" >
+         <layout class="QHBoxLayout">
           <item>
            <spacer>
-            <property name="orientation" >
+            <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
-            <property name="sizeHint" >
+            <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
@@ -142,12 +144,12 @@
           </item>
           <item>
-           <widget class="QPushButton" name="buttonRandom" >
-            <property name="cursor" >
+           <widget class="QPushButton" name="buttonRandom">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Заполнить таблицу случайными значениями</string>
             </property>
-            <property name="text" >
+            <property name="text">
              <string>Случайно</string>
             </property>
@@ -155,16 +157,17 @@
           </item>
           <item>
-           <widget class="QPushButton" name="buttonSolve" >
-            <property name="cursor" >
+           <widget class="QPushButton" name="buttonSolve">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Решить текущую задачу</string>
             </property>
-            <property name="text" >
+            <property name="text">
              <string>Решить</string>
             </property>
-            <property name="icon" >
-             <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OK.png</iconset>
+            <property name="icon">
+             <iconset resource="../resources/tspsg.qrc">
+              <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
             </property>
            </widget>
@@ -174,26 +177,26 @@
        </layout>
       </widget>
-      <widget class="QWidget" name="tabSolution" >
-       <attribute name="title" >
+      <widget class="QWidget" name="tabSolution">
+       <attribute name="title">
         <string>Решение</string>
        </attribute>
-       <layout class="QVBoxLayout" >
+       <layout class="QVBoxLayout">
         <item>
-         <layout class="QHBoxLayout" >
-          <property name="spacing" >
+         <layout class="QHBoxLayout">
+          <property name="spacing">
            <number>0</number>
           </property>
           <item>
-           <widget class="QTextEdit" name="textEdit" >
-            <property name="sizePolicy" >
-             <sizepolicy vsizetype="Expanding" hsizetype="Fixed" >
+           <widget class="QTextEdit" name="textEdit">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Fixed" vsizetype="Expanding">
               <horstretch>0</horstretch>
               <verstretch>0</verstretch>
              </sizepolicy>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Ход решения</string>
             </property>
-            <property name="readOnly" >
+            <property name="readOnly">
              <bool>true</bool>
             </property>
@@ -201,6 +204,6 @@
           </item>
           <item>
-           <widget class="QGraphicsView" name="graphicsView" >
-            <property name="statusTip" >
+           <widget class="QGraphicsView" name="graphicsView">
+            <property name="statusTip">
              <string>Граф решения</string>
             </property>
@@ -215,70 +218,73 @@
    </layout>
   </widget>
-  <widget class="QMenuBar" name="menubar" >
-   <property name="geometry" >
+  <widget class="QMenuBar" name="menubar">
+   <property name="geometry">
     <rect>
      <x>0</x>
      <y>0</y>
      <width>640</width>
-     <height>21</height>
+     <height>22</height>
     </rect>
    </property>
-   <widget class="QMenu" name="menuFile" >
-    <property name="windowIcon" >
-     <iconset/>
+   <widget class="QMenu" name="menuFile">
+    <property name="windowIcon">
+     <iconset>
+      <normaloff/>
+     </iconset>
     </property>
-    <property name="title" >
+    <property name="title">
      <string>&amp;Файл</string>
     </property>
-    <widget class="QMenu" name="menuFileSave" >
-     <property name="statusTip" >
+    <widget class="QMenu" name="menuFileSave">
+     <property name="statusTip">
       <string/>
      </property>
-     <property name="title" >
+     <property name="title">
       <string>Со&amp;хранить</string>
      </property>
-     <property name="icon" >
-      <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
      </property>
-     <addaction name="actionFileSaveTask" />
-     <addaction name="separator" />
-     <addaction name="actionFileSaveResultAll" />
-     <addaction name="actionFileSaveResultMatrices" />
-     <addaction name="actionFileSaveResultGraph" />
+     <addaction name="actionFileSaveTask"/>
+     <addaction name="separator"/>
+     <addaction name="actionFileSaveResultAll"/>
+     <addaction name="actionFileSaveResultMatrices"/>
+     <addaction name="actionFileSaveResultGraph"/>
     </widget>
-    <addaction name="actionFileNew" />
-    <addaction name="actionFileOpen" />
-    <addaction name="menuFileSave" />
-    <addaction name="separator" />
-    <addaction name="actionFilePrintSetup" />
-    <addaction name="actionFilePrint" />
-    <addaction name="separator" />
-    <addaction name="actionFileExit" />
+    <addaction name="actionFileNew"/>
+    <addaction name="actionFileOpen"/>
+    <addaction name="menuFileSave"/>
+    <addaction name="separator"/>
+    <addaction name="actionFilePrintSetup"/>
+    <addaction name="actionFilePrint"/>
+    <addaction name="separator"/>
+    <addaction name="actionFileExit"/>
    </widget>
-   <widget class="QMenu" name="menuSettings" >
-    <property name="title" >
+   <widget class="QMenu" name="menuSettings">
+    <property name="title">
      <string>&amp;Настройки</string>
     </property>
-    <addaction name="actionSettingsSettings" />
+    <addaction name="actionSettingsSettings"/>
    </widget>
-   <widget class="QMenu" name="menuHelp" >
-    <property name="title" >
+   <widget class="QMenu" name="menuHelp">
+    <property name="title">
      <string>&amp;Помощь</string>
     </property>
-    <addaction name="actionHelpContents" />
-    <addaction name="actionHelpContextual" />
-    <addaction name="separator" />
-    <addaction name="actionHelpAbout" />
+    <addaction name="actionHelpContents"/>
+    <addaction name="actionHelpContextual"/>
+    <addaction name="separator"/>
+    <addaction name="actionHelpAbout"/>
    </widget>
-   <addaction name="menuFile" />
-   <addaction name="menuSettings" />
-   <addaction name="menuHelp" />
+   <addaction name="menuFile"/>
+   <addaction name="menuSettings"/>
+   <addaction name="menuHelp"/>
   </widget>
-  <widget class="QStatusBar" name="statusbar" />
-  <widget class="QToolBar" name="toolBar" >
-   <property name="cursor" >
+  <widget class="QStatusBar" name="statusbar"/>
+  <widget class="QToolBar" name="toolBar">
+   <property name="cursor">
     <cursorShape>ArrowCursor</cursorShape>
    </property>
-   <property name="iconSize" >
+   <property name="iconSize">
     <size>
      <width>17</width>
@@ -286,186 +292,196 @@
     </size>
    </property>
-   <attribute name="toolBarArea" >
+   <attribute name="toolBarArea">
     <enum>TopToolBarArea</enum>
    </attribute>
-   <attribute name="toolBarBreak" >
+   <attribute name="toolBarBreak">
     <bool>false</bool>
    </attribute>
-   <addaction name="actionFileNew" />
-   <addaction name="actionFileOpen" />
-   <addaction name="actionFileSaveTask" />
-   <addaction name="separator" />
-   <addaction name="actionFilePrint" />
-   <addaction name="actionSettingsSettings" />
-   <addaction name="separator" />
-   <addaction name="actionFileExit" />
+   <addaction name="actionFileNew"/>
+   <addaction name="actionFileOpen"/>
+   <addaction name="actionFileSaveTask"/>
+   <addaction name="separator"/>
+   <addaction name="actionFilePrint"/>
+   <addaction name="actionSettingsSettings"/>
+   <addaction name="separator"/>
+   <addaction name="actionFileExit"/>
   </widget>
-  <action name="actionFilePrintSetup" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/PrintSetup.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFilePrintSetup">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/PrintSetup.png</normaloff>:/images/buttons/buttons/PrintSetup.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Настройка печати</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Настроить принтер для печати</string>
    </property>
   </action>
-  <action name="actionFilePrint" >
-   <property name="enabled" >
+  <action name="actionFilePrint">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Print.png</iconset>
-   </property>
-   <property name="text" >
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Print.png</normaloff>:/images/buttons/buttons/Print.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Печать...</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Распечатать результаты решения</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+P</string>
    </property>
   </action>
-  <action name="actionFileSaveResultMatrices" >
-   <property name="enabled" >
+  <action name="actionFileSaveResultMatrices">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Ход решения</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить только хоод решения</string>
    </property>
   </action>
-  <action name="actionFileSaveResultGraph" >
-   <property name="enabled" >
+  <action name="actionFileSaveResultGraph">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Граф решения</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить только граф решения</string>
    </property>
   </action>
-  <action name="actionFileSaveResultAll" >
-   <property name="enabled" >
+  <action name="actionFileSaveResultAll">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Решение</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить ход и граф решения</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+S</string>
    </property>
   </action>
-  <action name="actionFileNew" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Document.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileNew">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Document.png</normaloff>:/images/buttons/buttons/Document.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Создать</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Создать новую задачу</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+N</string>
    </property>
   </action>
-  <action name="actionFileOpen" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OpenFolder.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileOpen">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/OpenFolder.png</normaloff>:/images/buttons/buttons/OpenFolder.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Открыть</string>
    </property>
-   <property name="toolTip" >
+   <property name="toolTip">
     <string>Открыть задачу</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Открыть сохраненное условие задачи</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+O</string>
    </property>
   </action>
-  <action name="actionSettingsSettings" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Properties.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionSettingsSettings">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Properties.png</normaloff>:/images/buttons/buttons/Properties.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Параметры</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Настройка параметров программмы</string>
    </property>
   </action>
-  <action name="actionHelpContents" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/book_open.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionHelpContents">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/book_open.png</normaloff>:/images/buttons/buttons/book_open.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Содежание</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Вызвать справку по программе</string>
    </property>
   </action>
-  <action name="actionHelpContextual" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Help.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionHelpContextual">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Контекстная справка</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Вызвать контекстную справку</string>
    </property>
   </action>
-  <action name="actionHelpAbout" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/infoBubble.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionHelpAbout">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/infoBubble.png</normaloff>:/images/buttons/buttons/infoBubble.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Про...</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Получить информацию о программе</string>
    </property>
   </action>
-  <action name="actionFileExit" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/NoAction.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileExit">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/NoAction.png</normaloff>:/images/buttons/buttons/NoAction.png</iconset>
+   </property>
+   <property name="text">
     <string>В&amp;ыход</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Выйти из программы</string>
    </property>
   </action>
-  <action name="actionFileSaveTask" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileSaveTask">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Задачу</string>
    </property>
-   <property name="iconText" >
+   <property name="iconText">
     <string>Сохранить</string>
    </property>
-   <property name="toolTip" >
+   <property name="toolTip">
     <string>Сохранить задачу</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить условие задачи в файл</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+S</string>
    </property>
@@ -473,5 +489,5 @@
  </widget>
  <resources>
-  <include location="../resources/tspsg.qrc" />
+  <include location="../resources/tspsg.qrc"/>
  </resources>
  <connections>
@@ -482,9 +498,9 @@
    <slot>close()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>-1</x>
      <y>-1</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>294</x>
      <y>229</y>