Index: README.txt
===================================================================
--- README.txt	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ README.txt	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -3,5 +3,5 @@
 =================================
 
-Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 TSPSG is intended to generate and solve Travelling Salesman Problem
Index: doc/doc.pri
===================================================================
--- doc/doc.pri	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ doc/doc.pri	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
Index: doc/dox/changelog.dox
===================================================================
--- doc/dox/changelog.dox	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ doc/dox/changelog.dox	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*! \page changelog TSPSG ChangeLog
 
-\author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+\author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
Index: doc/dox/install.dox
===================================================================
--- doc/dox/install.dox	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ doc/dox/install.dox	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*! \page install TSPSG Installation Guide
 
-\author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+\author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
Index: doc/dox/mainpage.dox
===================================================================
--- doc/dox/mainpage.dox	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ doc/dox/mainpage.dox	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -7,5 +7,5 @@
 \image html tspsg.png
 <b>TSPSG: TSP Solver and Generator</b>
-\author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+\author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 \b Homepage: <a href="http://tspsg.info/">tspsg.info</a>
Index: help/about.en.txt
===================================================================
--- help/about.en.txt	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/about.en.txt	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/about.ru.txt
===================================================================
--- help/about.ru.txt	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/about.ru.txt	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2012 Алексей Сердюк <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2013 Алексей Сердюк <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/about.uk.txt
===================================================================
--- help/about.uk.txt	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/about.uk.txt	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2012 Олексій Сердюк <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2013 Олексій Сердюк <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/help.pri
===================================================================
--- help/help.pri	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/help.pri	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
Index: help/html/en/about.html
===================================================================
--- help/html/en/about.html	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/en/about.html	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/credits.html
===================================================================
--- help/html/en/credits.html	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/en/credits.html	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/index.html
===================================================================
--- help/html/en/index.html	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/en/index.html	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/l10n.html
===================================================================
--- help/html/en/l10n.html	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/en/l10n.html	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/license.html
===================================================================
--- help/html/en/license.html	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/en/license.html	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/mainwindow.html
===================================================================
--- help/html/en/mainwindow.html	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/en/mainwindow.html	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/preferences.html
===================================================================
--- help/html/en/preferences.html	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/en/preferences.html	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/style.css
===================================================================
--- help/html/style.css	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/style.css	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: help/html/tspsg.qhp
===================================================================
--- help/html/tspsg.qhp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/html/tspsg.qhp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/tspsg.qhcp
===================================================================
--- help/tspsg.qhcp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ help/tspsg.qhcp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: install.pri
===================================================================
--- install.pri	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ install.pri	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
Index: qtc_packaging/debian_fremantle/copyright
===================================================================
--- qtc_packaging/debian_fremantle/copyright	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ qtc_packaging/debian_fremantle/copyright	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -5,5 +5,5 @@
 
 Files: *
-Copyright: 2007-2012, Oleksii Serdiuk <contacts@oleksii.name>
+Copyright: 2007-2013, Oleksii Serdiuk <contacts@oleksii.name>
 License: GPL-3+
  This program is free software: you can redistribute it and/or modify
Index: resources/tspsg.rc
===================================================================
--- resources/tspsg.rc	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ resources/tspsg.rc	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/_.h
===================================================================
--- src/_.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/_.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/defaults.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file defaults.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/globals.cpp
===================================================================
--- src/globals.cpp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/globals.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/globals.h
===================================================================
--- src/globals.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/globals.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file globals.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/main.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/mainwindow.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/mainwindow.h
===================================================================
--- src/mainwindow.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/mainwindow.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file mainwindow.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -54,5 +54,5 @@
 /*!
  * \brief Class for handling Main Window UI and logic.
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class MainWindow: public QMainWindow, Ui::MainWindow
Index: src/os.h
===================================================================
--- src/os.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/os.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file os.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/pch.h
===================================================================
--- src/pch.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/pch.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file pch.h
- * \author Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/resource.h
===================================================================
--- src/resource.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/resource.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file resource.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/settingsdialog.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/settingsdialog.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file settingsdialog.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -35,5 +35,5 @@
 /*!
  * \brief Class for handling Settings Dialog UI and logic.
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class SettingsDialog: public QDialog, Ui::SettingsDialog
Index: src/tspmodel.cpp
===================================================================
--- src/tspmodel.cpp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/tspmodel.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/tspmodel.h
===================================================================
--- src/tspmodel.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/tspmodel.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file tspmodel.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -37,5 +37,5 @@
 /*!
  * \brief This class implements table model for manipulating a task.
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class CTSPModel: public QAbstractTableModel
Index: src/tspsolver.cpp
===================================================================
--- src/tspsolver.cpp	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/tspsolver.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/tspsolver.h
===================================================================
--- src/tspsolver.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/tspsolver.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file tspsolver.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -104,5 +104,5 @@
 /*!
  * \brief This class solves Travelling Salesman Problem task.
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class CTSPSolver: public QObject
Index: src/version.h
===================================================================
--- src/version.h	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ src/version.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -1,5 +1,5 @@
 /*!
  * \file version.h
- * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: tspsg.pri
===================================================================
--- tspsg.pri	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ tspsg.pri	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
Index: tspsg.pro
===================================================================
--- tspsg.pro	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ tspsg.pro	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
@@ -33,5 +33,5 @@
 QMAKE_TARGET_PRODUCT = TSP Solver and Generator
 QMAKE_TARGET_DESCRIPTION = TSPSG: TSP Solver and Generator
-QMAKE_TARGET_COPYRIGHT = Copyright © 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+QMAKE_TARGET_COPYRIGHT = Copyright © 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 # Version detection
Index: version.pri
===================================================================
--- version.pri	(revision 2d4659ddfee803995ba80eb30c277a03b9849032)
+++ version.pri	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $