Index: trunk/ui/settingsdialog.ce.ui
===================================================================
--- trunk/ui/settingsdialog.ce.ui	(revision 21)
+++ trunk/ui/settingsdialog.ce.ui	(revision 25)
@@ -7,6 +7,6 @@
     <x>0</x>
     <y>0</y>
-    <width>235</width>
-    <height>264</height>
+    <width>214</width>
+    <height>207</height>
    </rect>
   </property>
Index: trunk/ui/settingsdialog.ui
===================================================================
--- trunk/ui/settingsdialog.ui	(revision 21)
+++ trunk/ui/settingsdialog.ui	(revision 25)
@@ -7,6 +7,6 @@
     <x>0</x>
     <y>0</y>
-    <width>466</width>
-    <height>172</height>
+    <width>498</width>
+    <height>188</height>
    </rect>
   </property>
@@ -240,4 +240,10 @@
                <item>
                 <widget class="QLabel" name="labelLeftMargin">
+                 <property name="sizePolicy">
+                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
+                   <horstretch>0</horstretch>
+                   <verstretch>0</verstretch>
+                  </sizepolicy>
+                 </property>
                  <property name="text">
                   <string>&amp;Левый отступ:</string>
@@ -270,36 +276,40 @@
              </item>
              <item>
-              <widget class="QSplitter" name="splitter">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
+              <layout class="QHBoxLayout" name="horizontalLayout">
+               <property name="spacing">
+                <number>0</number>
                </property>
-               <widget class="QPushButton" name="buttonColor">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="text">
-                 <string>&amp;Цвет...</string>
-                </property>
-                <property name="icon">
-                 <iconset resource="../resources/tspsg.qrc">
-                  <normaloff>:/images/buttons/buttons/Color.png</normaloff>:/images/buttons/buttons/Color.png</iconset>
-                </property>
-               </widget>
-               <widget class="QPushButton" name="buttonFont">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Задать параметры шрифта, используемого при печати</string>
-                </property>
-                <property name="text">
-                 <string>&amp;Шрифт...</string>
-                </property>
-                <property name="icon">
-                 <iconset resource="../resources/tspsg.qrc">
-                  <normaloff>:/images/buttons/buttons/Font.png</normaloff>:/images/buttons/buttons/Font.png</iconset>
-                </property>
-               </widget>
-              </widget>
+               <item>
+                <widget class="QPushButton" name="buttonColor">
+                 <property name="cursor">
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="text">
+                  <string>&amp;Цвет...</string>
+                 </property>
+                 <property name="icon">
+                  <iconset resource="../resources/tspsg.qrc">
+                   <normaloff>:/images/buttons/buttons/Color.png</normaloff>:/images/buttons/buttons/Color.png</iconset>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QPushButton" name="buttonFont">
+                 <property name="cursor">
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="statusTip">
+                  <string>Задать параметры шрифта, используемого при печати</string>
+                 </property>
+                 <property name="text">
+                  <string>&amp;Шрифт...</string>
+                 </property>
+                 <property name="icon">
+                  <iconset resource="../resources/tspsg.qrc">
+                   <normaloff>:/images/buttons/buttons/Font.png</normaloff>:/images/buttons/buttons/Font.png</iconset>
+                 </property>
+                </widget>
+               </item>
+              </layout>
              </item>
             </layout>