Index: help/about.en.txt
===================================================================
--- help/about.en.txt	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/about.en.txt	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/about.ru.txt
===================================================================
--- help/about.ru.txt	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/about.ru.txt	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2013 Алексей Сердюк <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2014 Алексей Сердюк <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/about.uk.txt
===================================================================
--- help/about.uk.txt	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/about.uk.txt	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2013 Олексій Сердюк <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2014 Олексій Сердюк <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/help.pri
===================================================================
--- help/help.pri	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/help.pri	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
Index: help/html/en/about.html
===================================================================
--- help/html/en/about.html	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/en/about.html	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/credits.html
===================================================================
--- help/html/en/credits.html	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/en/credits.html	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/index.html
===================================================================
--- help/html/en/index.html	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/en/index.html	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/l10n.html
===================================================================
--- help/html/en/l10n.html	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/en/l10n.html	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/license.html
===================================================================
--- help/html/en/license.html	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/en/license.html	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/mainwindow.html
===================================================================
--- help/html/en/mainwindow.html	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/en/mainwindow.html	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/preferences.html
===================================================================
--- help/html/en/preferences.html	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/en/preferences.html	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/style.css
===================================================================
--- help/html/style.css	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/style.css	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: help/html/tspsg.qhp
===================================================================
--- help/html/tspsg.qhp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/html/tspsg.qhp	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/tspsg.qhcp
===================================================================
--- help/tspsg.qhcp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
+++ help/tspsg.qhcp	(revision 30eb4f72f98cbf31e7f3f7ed3ea49152e8520191)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2014 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $